### Method

# Gio TlsConnection get_protocol_version

since: 2.70

#### Declaration

    GTlsProtocolVersion
    g_tls_connection_get_protocol_version (
      GTlsConnection* conn
    )

#### Description

Returns the current TLS protocol version, which may be `G_TLS_PROTOCOL_VERSION_UNKNOWN` if the connection has not handshaked, or has been closed, or if the TLS backend has implemented a protocol version that is not a recognized `GTlsProtocolVersion`.

Available since: 2.70

Gets property | `Gio.TlsConnection:protocol-version`

#### Return value

Type: `GTlsProtocolVersion`

The current TLS protocol version.